define -2 gui.name_text_outlines = [ (3, "#000000F0", 0, 0) ]
define -2 gui.dialogue_text_outlines = [ (3, "#000000F0", 0, 0) ]

init -1:
    if hasattr(store, "g_textbox_transparency") == False:
        $ g_textbox_transparency = 50

label after_load:

    if hasattr(store, "g_textbox_transparency") == False:
        $ g_textbox_transparency = 50

    if g_textbox_transparency == 0:
        $ g_textbox_transparency = 50

    $ prev_scene = renpy.game.context(-1).scene_lists.at_list['master'].keys()[0]
    $ renpy.scene(layer='master')
    $ renpy.show(prev_scene)

    return



screen preferences():

    tag menu
    ####Textbox transparency
    $ renpy.retain_after_load()
    ####

    use game_menu(_("Preferences"), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                ## Additional vboxes of type "radio_pref" or "check_pref" can be
                ## added here, to add additional creator-defined preferences.

            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                    label _("")
                    text _("Joker Mod Additions") style "JokerTextBoxHeader"
                    label _("Text Size: %s" % (persistent.pref_text_size))

                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1)

                    ### Textbox transparency
                    label _("Textbox Transparency")

                    bar value VariableValue("g_textbox_transparency", 100) style "slider" xsize 525 #ysize 20
                    ####

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"


default persistent.pref_text_size = gui.text_size

screen say(who, what):
    style_prefix "say"
    ###Textbox transparency
    $ l_alpha = 1 - float(g_textbox_transparency) / 100
    ###
    window:
        id "window"
        #######Textbox transparency
        background Image(im.Alpha("gui/textbox.png", l_alpha), xalign=0.5, yalign=1.0)
        ######
        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"
        if persistent.say_window_alpha < 0.6:
            text what id "what" size persistent.pref_text_size outlines [(2, "#000", 0, 0)]
        else:
            text what id "what" size persistent.pref_text_size outlines [(2, "#000", 0, 0)]



    ## If there's a side image, display it above the text. Do not display on the
    ## phone variant - there's no room.
    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0

screen input(prompt):
    style_prefix "input"
    ###Textbox transparency
    $ l_alpha = 1 - float(g_textbox_transparency) / 100
    ###
    window:

        vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

            text prompt style "input_prompt"
            input id "input"
        ###Textbox transparency
        background Image(im.Alpha("gui/textbox.png", l_alpha), xalign=0.5, yalign=1.0)
        ###


style JokerTextBoxHeader is text:
    size 60
    color "#ff0000"
    font "JokerMod/Bebas-Regular.otf"
